Document collaboration

Resolve, reopen or explicitly reattach a thread

PATCH
/v1/documents/{documentId}/threads/{threadId}

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

documentId*string

The documentId.

threadId*string

The threadId.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/documents/string/threads/string" \  -H "Content-Type: application/json" \  -d '{    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",    "expectedVersion": 1,    "action": "resolve"  }'
{  "eventId": "string",  "threadId": "string",  "commentId": "string",  "version": 0}